Aller au contenu
Boud’bOis, doc vendeurs
Server Actions

stock

44 Server Actions du domaine stock, générées depuis le registre de l’API agent.

stock__addSessionPiece

ArgumentTypeRequis
sessionIdstringoui
quickQuickPieceoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__addSessionPiece",
  "args": [
    "<sessionId>",
    "<quick>"
  ]
}'

stock__bulkEditSession

ArgumentTypeRequis
sessionIdstringoui
productIdsstring[]oui
opBulkOpoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__bulkEditSession",
  "args": [
    "<sessionId>",
    "<productIds>",
    "<op>"
  ]
}'

stock__closeEntrySession

ArgumentTypeRequis
idstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__closeEntrySession",
  "args": [
    "<id>"
  ]
}'

stock__createEntrySession

ArgumentTypeRequis
inputSessionInputoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__createEntrySession",
  "args": [
    "<input>"
  ]
}'

stock__createNativeProduct

ArgumentTypeRequis
inputNativeProductFormInputoui
draftIdstring | nullnon
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__createNativeProduct",
  "args": [
    "<input>"
  ]
}'

stock__createVendorColis

ArgumentTypeRequis
rawunknownoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__createVendorColis",
  "args": [
    "<raw>"
  ]
}'

stock__deleteNativeProduct

ArgumentTypeRequis
idstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__deleteNativeProduct",
  "args": [
    "<id>"
  ]
}'

stock__deleteProductDraft

ArgumentTypeRequis
draftIdstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__deleteProductDraft",
  "args": [
    "<draftId>"
  ]
}'

stock__exportVendorLabelsCsv

ArgumentTypeRequis
productIdsstring[]oui
markPrintedbooleanoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__exportVendorLabelsCsv",
  "args": [
    "<productIds>",
    "<markPrinted>"
  ]
}'

stock__getPieceLabelState

ArgumentTypeRequis
productIdstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__getPieceLabelState",
  "args": [
    "<productId>"
  ]
}'

stock__getPieceTraceability

ArgumentTypeRequis
productIdstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__getPieceTraceability",
  "args": [
    "<productId>"
  ]
}'

stock__getProductHistory

ArgumentTypeRequis
productIdstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__getProductHistory",
  "args": [
    "<productId>"
  ]
}'

stock__getVendorBundlePanel

ArgumentTypeRequis
idstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__getVendorBundlePanel",
  "args": [
    "<id>"
  ]
}'

stock__getVendorLogSale

ArgumentTypeRequis
logIdstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__getVendorLogSale",
  "args": [
    "<logId>"
  ]
}'

stock__getVendorPieceActivity

ArgumentTypeRequis
idstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__getVendorPieceActivity",
  "args": [
    "<id>"
  ]
}'

stock__getVendorPieceSheet

ArgumentTypeRequis
idstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__getVendorPieceSheet",
  "args": [
    "<id>"
  ]
}'

stock__getVendorProductImages

ArgumentTypeRequis
productIdstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__getVendorProductImages",
  "args": [
    "<productId>"
  ]
}'

stock__getVendorStockColumnsAction

Sans argument.

curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__getVendorStockColumnsAction",
  "args": []
}'

stock__getVendorStockExportAction

ArgumentTypeRequis
rawStockQueryInputoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__getVendorStockExportAction",
  "args": [
    "<raw>"
  ]
}'

stock__getVendorStockViewAction

ArgumentTypeRequis
rawStockQueryInputoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__getVendorStockViewAction",
  "args": [
    "<raw>"
  ]
}'

stock__importNativeProducts

ArgumentTypeRequis
rowsImportRowInput[]oui
batchKeystringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__importNativeProducts",
  "args": [
    "<rows>",
    "<batchKey>"
  ]
}'

stock__listVendorDraftsAction

Sans argument.

curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__listVendorDraftsAction",
  "args": []
}'

stock__listVendorPieceEssences

Sans argument.

curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__listVendorPieceEssences",
  "args": []
}'

stock__listVendorPieceProductTypes

Sans argument.

curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__listVendorPieceProductTypes",
  "args": []
}'

stock__lookupScannedPiece

ArgumentTypeRequis
rawstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__lookupScannedPiece",
  "args": [
    "<raw>"
  ]
}'

stock__previewPieceReference

ArgumentTypeRequis
input{ essence: string; type: string; storageLocationId: string }oui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__previewPieceReference",
  "args": [
    "<input>"
  ]
}'

stock__putVendorLogOnSale

ArgumentTypeRequis
rawunknownoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__putVendorLogOnSale",
  "args": [
    "<raw>"
  ]
}'

stock__recordLabelPrint

ArgumentTypeRequis
productIdsstring[]oui
formatIdstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__recordLabelPrint",
  "args": [
    "<productIds>",
    "<formatId>"
  ]
}'

stock__restoreDeletedNativeProduct

ArgumentTypeRequis
idstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__restoreDeletedNativeProduct",
  "args": [
    "<id>"
  ]
}'

stock__restoreProductVersion

ArgumentTypeRequis
productIdstringoui
historyIdstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__restoreProductVersion",
  "args": [
    "<productId>",
    "<historyId>"
  ]
}'

stock__saveProductDraft

ArgumentTypeRequis
draftIdstring | nulloui
inputRecord<string, string>oui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__saveProductDraft",
  "args": [
    "<draftId>",
    "<input>"
  ]
}'

stock__saveVendorPieceField

ArgumentTypeRequis
idstringoui
fieldstringoui
rawstring | nulloui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__saveVendorPieceField",
  "args": [
    "<id>",
    "<field>",
    "<raw>"
  ]
}'

stock__saveVendorProductImages

ArgumentTypeRequis
productIdstringoui
inputRawProductImageInput[]oui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__saveVendorProductImages",
  "args": [
    "<productId>",
    "<input>"
  ]
}'

stock__saveVendorStockColumnsAction

ArgumentTypeRequis
idsstring[]oui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__saveVendorStockColumnsAction",
  "args": [
    "<ids>"
  ]
}'

stock__searchVendorGroupablePieces

ArgumentTypeRequis
locationIdstringoui
querystringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__searchVendorGroupablePieces",
  "args": [
    "<locationId>",
    "<query>"
  ]
}'

stock__setNativeProductPublished

ArgumentTypeRequis
idstringoui
publishedbooleanoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__setNativeProductPublished",
  "args": [
    "<id>",
    "<published>"
  ]
}'

stock__setPartnerReference

ArgumentTypeRequis
productIdstringoui
referencestringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__setPartnerReference",
  "args": [
    "<productId>",
    "<reference>"
  ]
}'

stock__setVendorBundleHold

ArgumentTypeRequis
rawunknownoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__setVendorBundleHold",
  "args": [
    "<raw>"
  ]
}'

stock__setVendorBundlePrice

ArgumentTypeRequis
rawunknownoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__setVendorBundlePrice",
  "args": [
    "<raw>"
  ]
}'

stock__setVendorLabelsPrinted

ArgumentTypeRequis
productIdsstring[]oui
printedbooleanoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__setVendorLabelsPrinted",
  "args": [
    "<productIds>",
    "<printed>"
  ]
}'

stock__suggestPrice

ArgumentTypeRequis
inputSuggestedPriceRequest & { storageLocationId: string }oui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__suggestPrice",
  "args": [
    "<input>"
  ]
}'

stock__updateEntrySession

ArgumentTypeRequis
idstringoui
inputSessionInputoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__updateEntrySession",
  "args": [
    "<id>",
    "<input>"
  ]
}'

stock__updateNativeProduct

ArgumentTypeRequis
idstringoui
inputNativeProductFormInputoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__updateNativeProduct",
  "args": [
    "<id>",
    "<input>"
  ]
}'

stock__withdrawVendorBundle

ArgumentTypeRequis
idstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "stock__withdrawVendorBundle",
  "args": [
    "<id>"
  ]
}'